# Edit this file for your preferences, it will be read by build.sh

# SEE http://www.kernel.org/ for latest kernel info

# this is the name of the pet package suffix, and source sfs
# name it whatever you like, usually put in a signifier for your distro
# eg: "s" is for slacko
package_name_suffix=tahr_noPAE

# this is the kernel suffix hack, you can leave it empty ie: uname -r
# if you don't leave empty the leading "dash" is required
# DO NOT change it between minor versions (i.e 3.14.1 and 3.14.2); otherwise,
# third-party drivers will break and users won't be able to upgrade: kernel-kit
# patches the kernel to ensure drivers built for the major version (say, 3.14)
# continue to work with any future minor version (3.14.1, 3.14.2, etc') and
# don't have to be rebuilt, but the suffix must not change for this to work
# (this is particularly good if you wish to stick with a longterm kernel branch
# without any maintenance and without frustrating users that need extra drivers)
# example:
#custom_suffix=-4G
custom_suffix=

# this is the version of the vanilla kernel, usually latest is best
# or follow a longterm (aka LTS) branch
# THIS WILL ALMOST CERTAINLY NEED CHANGING
# see kernel.org
kernel_version="3.14.57"

# remove kernel sublevel, or not : set yes or no
sublevel=yes

# below is a list of kernel mirrors
# uncomment the closest one to you
# make sure only one is uncommented! 
# you can search for more mirrors and use them
# YOU CAN UNCOMMENT 1 BELOW, COMMENT UNCOMMENTED DEFAULT IF YOU DO
kernel_mirror="http://www.kernel.org/pub/linux/kernel/v3.0/"
#kernel_mirror="http://mirror.aarnet.edu.au/pub/ftp.kernel.org/linux/kernel/v3.0/"
#kernel_mirror="http://www.kernel.org/pub/linux/kernel/v4.x/"

# new vars
# if sourceforge seems unstable use the sfjro url
# PAY ATTENTION to the Aufs series (3 or 4) - must match the kernel version
#aufs_git=git://github.com/sfjro/aufs3-linux.git
#aufs_git=git://github.com/sfjro/aufs4-standalone.git
aufs_git=git://git.code.sf.net/p/aufs/aufs3-standalone

# This is only for new kernels, leave blank if not using bleeding edge RC
aufsv=3.14.40+
#aufsv=3.x-rcN
#SPECIAL NOTE. LTS 3.10X kernels past 3.10.25 need this set with 'aufsv=3.10.x' 
#SPECIAL NOTE. LTS 3.14X kernels past 3.14.40 need this set with 'aufsv=3.14.40+'

## JOBS ###
# if you have a multicore processor you can set this var
# don't set if you have a single core! >> cooked machine 
# DO NOT set it to 0 (zero) >> cooked machine
#JOBS=-j6

### Linux-libre (AKA deblobbed kernel)
# if this option is set, the kernel does not have any non-free components,
# including firmware for many devices; the kernel sources are deblobbed using
# the Linux-libre scripts after the patching procedure
LIBRE=0

## FATDOG style Kernel AKA "huge" kernel###
# if this option is set a FatDog style kernel is produced
# modules are split out of the kernel package and squashfs'd
# NOTE: all modules for booting must be builtins as none go into the initrd.gz
# Please make sure you use an appropriate DOTconfig
# 0 is off, 1 is on, default is not set
#FD=0
FD=1

### squashfs compression ###
# leave unset for the default of your mksquashfs binary
# run "mksquashfs --help" to find out options from compression
# for extra compression "-comp xz -Xbcj ia64" or "-comp xz -Xbcj x86" etc
# Consult the mksquashfs manual for more info.
COMP="-comp xz"

# Overide the default firmware URL ONLY FOR HUGE build
#FW_URL=http://mirror.aarnet.edu.au/pub/puppylinux/firmware
#FW_URL=http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/firmware
